#64 Indenter import `include

closed-fixed
nobody
None
5
2013-05-28
2013-03-28
StevenAZ
No

SVE Version 1.2.1

At present the indenter treats `include and import differently. Given that these are essentially equivalent constructs, I am asking the question as to whether we should modify the indenter to treat them as equivalent items.

I am OK with keeping things as is, or going with either of the proposals below. I have a slight preference for proposal 1, but will go with majority vote here.

Present:

`include "global.sv"
program somep;
   import pkg_1::*;
`include "macros.sv"
   import pkg_2::*;

`define bob
endprogram

Proposal 1: Indent includes within a module:

`include "global.sv"
program somep;
   import pkg_1::*;
   `include "macros.sv"
   import pkg_2::*;

`define bob
endprogram

Proposal 2: Stick with column 0

`include "global.sv"
program somep;
import pkg_1::*;
`include "macros.sv"
import pkg_2::*;

`define bob
endprogram

Related

Feature Requests: #64

Discussion

  • Erik Jessen

    Erik Jessen - 2013-03-28

    I prefer proposal #1, because if someone has LOTS of files inside the program, it's a lot easier to see where things start/end.
    And the `include could be for anything - defines, common source-code, typedefs, etc.

    From: StevenAZ [mailto:stevenaz@users.sf.net]
    Sent: Thursday, March 28, 2013 9:51 AM
    To: Ticket 64
    Subject: [sveditor:feature-requests] #64 Indenter import `include


    [feature-requests:#64]http://sourceforge.net/p/sveditor/feature-requests/64/ Indenter import `include

    Status: open
    Created: Thu Mar 28, 2013 04:50 PM UTC by StevenAZ
    Last Updated: Thu Mar 28, 2013 04:50 PM UTC
    Owner: nobody

    SVE Version 1.2.1

    At present the indenter treats `include and import differently. Given that these are essentially equivalent constructs, I am asking the question as to whether we should modify the indenter to treat them as equivalent items.

    I am OK with keeping things as is, or going with either of the proposals below. I have a slight preference for proposal 1, but will go with majority vote here.

    Present:

    `include "global.sv"

    program somep;

    import pkg_1::*;

    `include "macros.sv"

    import pkg_2::*;

    `define bob

    endprogram

    Proposal 1: Indent includes within a module:

    `include "global.sv"

    program somep;

    import pkg_1::*;

    `include "macros.sv"

    import pkg_2::*;

    `define bob

    endprogram

    Proposal 2: Stick with column 0

    `include "global.sv"

    program somep;

    import pkg_1::*;

    `include "macros.sv"

    import pkg_2::*;

    `define bob

    endprogram


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/sveditor/feature-requests/64/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/


    This message and any attached documents contain information from QLogic Corporation or its wholly-owned subsidiaries that may be confidential. If you are not the intended recipient, you may not read, copy, distribute, or use this information. If you have received this transmission in error, please notify the sender immediately by reply e-mail and then delete this message.

     

    Related

    Feature Requests: #64

  • Matthew Ballance

    My vote is for a modified version of Proposal 1. Unless there are know tool issues, I would prefer that all statements (including `defines) be indented at scope-level.

    `include "global.sv"
    program somep;
       import pkg_1::*;
       `include "macros.sv"
       import pkg_2::*;
    
       `define bob
    endprogram
    
     
  • Erik Jessen

    Erik Jessen - 2013-03-28

    This works for me as well.

    From: Matthew Ballance [mailto:mballance@users.sf.net]
    Sent: Thursday, March 28, 2013 9:54 AM
    To: [sveditor:feature-requests]
    Subject: [sveditor:feature-requests] #64 Indenter import `include

    My vote is for a modified version of Proposal 1. Unless there are know tool issues, I would prefer that all statements (including `defines) be indented at scope-level.

    `include "global.sv"

    program somep;

    import pkg_1::*;

    `include "macros.sv"

    import pkg_2::*;

    `define bob

    endprogram


    [feature-requests:#64]http://sourceforge.net/p/sveditor/feature-requests/64/ Indenter import `include

    Status: open
    Created: Thu Mar 28, 2013 04:50 PM UTC by StevenAZ
    Last Updated: Thu Mar 28, 2013 04:50 PM UTC
    Owner: nobody

    SVE Version 1.2.1

    At present the indenter treats `include and import differently. Given that these are essentially equivalent constructs, I am asking the question as to whether we should modify the indenter to treat them as equivalent items.

    I am OK with keeping things as is, or going with either of the proposals below. I have a slight preference for proposal 1, but will go with majority vote here.

    Present:

    `include "global.sv"

    program somep;

    import pkg_1::*;

    `include "macros.sv"

    import pkg_2::*;

    `define bob

    endprogram

    Proposal 1: Indent includes within a module:

    `include "global.sv"

    program somep;

    import pkg_1::*;

    `include "macros.sv"

    import pkg_2::*;

    `define bob

    endprogram

    Proposal 2: Stick with column 0

    `include "global.sv"

    program somep;

    import pkg_1::*;

    `include "macros.sv"

    import pkg_2::*;

    `define bob

    endprogram


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/sveditor/feature-requests/64/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/


    This message and any attached documents contain information from QLogic Corporation or its wholly-owned subsidiaries that may be confidential. If you are not the intended recipient, you may not read, copy, distribute, or use this information. If you have received this transmission in error, please notify the sender immediately by reply e-mail and then delete this message.

     

    Related

    Feature Requests: #64

  • StevenAZ

    StevenAZ - 2013-05-28
    • status: open --> closed-fixed
    • Group: --> Next_Release_(example)
     
  • StevenAZ

    StevenAZ - 2013-05-28

    Was fixed in a release between 1.2.1 and 1.2.7

     

Log in to post a comment.